# Uses of Class
org.xnio.XnioWorker.Builder

Packages that use XnioWorker.Builder
Package
Description
org.xnio
The main API package for XNIO.

## Uses of XnioWorker.Builder in org.xnio

Methods in org.xnio that return XnioWorker.Builder
Modifier and Type
Method
Description
`XnioWorker.Builder`
XnioWorker.Builder.`addBindAddressConfiguration(org.wildfly.common.net.CidrAddress cidrAddress, InetAddress bindAddress)`
`XnioWorker.Builder`
XnioWorker.Builder.`addBindAddressConfiguration(org.wildfly.common.net.CidrAddress cidrAddress, InetSocketAddress bindAddress)`
`XnioWorker.Builder`
Xnio.`createWorkerBuilder()`
Create a new worker builder.
`XnioWorker.Builder`
XnioWorker.Builder.`populateFromOptions(OptionMap optionMap)`
`XnioWorker.Builder`
XnioWorker.Builder.`setBindAddressConfigurations(org.wildfly.common.net.CidrAddressTable<InetSocketAddress> newTable)`
`XnioWorker.Builder`
XnioWorker.Builder.`setCoreWorkerPoolSize(int coreWorkerPoolSize)`
`XnioWorker.Builder`
XnioWorker.Builder.`setDaemon(boolean daemon)`
`XnioWorker.Builder`
XnioWorker.Builder.`setExternalExecutorService(ExecutorService executorService)`
`XnioWorker.Builder`
XnioWorker.Builder.`setMaxWorkerPoolSize(int maxWorkerPoolSize)`
`XnioWorker.Builder`
XnioWorker.Builder.`setTerminationTask(Runnable terminationTask)`
`XnioWorker.Builder`
XnioWorker.Builder.`setThreadGroup(ThreadGroup threadGroup)`
`XnioWorker.Builder`
XnioWorker.Builder.`setWorkerIoThreads(int workerIoThreads)`
`XnioWorker.Builder`
XnioWorker.Builder.`setWorkerKeepAlive(int workerKeepAlive)`
`XnioWorker.Builder`
XnioWorker.Builder.`setWorkerName(String workerName)`
`XnioWorker.Builder`
XnioWorker.Builder.`setWorkerStackSize(long workerStackSize)`
Methods in org.xnio with parameters of type XnioWorker.Builder
Modifier and Type
Method
Description
`protected abstract XnioWorker`
Xnio.`build(XnioWorker.Builder builder)`
Construct an XNIO worker from a builder.
Constructors in org.xnio with parameters of type XnioWorker.Builder
Modifier
Constructor
Description
`protected`
`XnioWorker(XnioWorker.Builder builder)`
Construct a new instance.